[Prev: DBFILEPERMS] | [Resources][TOC] | [Next: DEFCHARSET]

# DECODEHEADS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_DECODEHEADS=`[ `0` | `1` ]

Element(s)

  `<DECODEHEADS>`
  `<NODECODEHEADS>`

Command-line Option(s)

  `-decodeheads`
  `-nodecodeheads`

## Description

MIME encoded message header data is decoded when creating HTML output and the (relevant) data stored in the database stays in encoded form. The DECODEHEADS resource can be set to decode "decode-only" charsets (as specified by the CHARSETCONVERTERS resource) when message headers are read. This will cause decode-only charsets to be stored in decoded "raw" form. Regular MIME processing is still done to still-encoded data when generating output.

This resource may be useful to decode known character sets that are handle by default in the current locale. This will reduce the overhead performed each time MHonArc translates message header data for inclusion in generated pages.

## Default Setting

Off

## Resource Variables

N/A

## Examples

The following will tell MHonArc to just decode all non-ASCII encoded data, causing all character data to be treated by the default locale setting:

    <DecodeHeads>
    <CharsetConverters override>
    plain;          mhonarc::htmlize;
    default;        -decode-
    </CharsetConverters>

## Version

2.0

## See Also

CHARSETCONVERTERS

[Prev: DBFILEPERMS] | [Resources][TOC] | [Next: DEFCHARSET]